Skip to main content
GET
/
v1
/
fundamentals
/
balance-sheet
Balance sheets
curl --request GET \
  --url 'https://api.finvera.news/stocks/v1/fundamentals/balance-sheet?apikey='
import requests

url = "https://api.finvera.news/stocks/v1/fundamentals/balance-sheet?apikey="

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.finvera.news/stocks/v1/fundamentals/balance-sheet?apikey=', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "next_url": "https://api.finvera.news/stocks/v1/fundamentals/balance-sheet?cursor=AAECAAFkAAEBB_uYng==",
  "request_id": "2946ffbdcbd942dd9d96fac51f4f0b09",
  "results": [
    {
      "accumulated_retained_earnings": 923500000,
      "acquired_goodwill": 199700000,
      "advance_customer_payments": 181000000,
      "capital_paid_in_excess": 607900000,
      "cash_and_short_term_equivalents": 94300000,
      "cik": "0000866729",
      "current_accrued_liabilities": 253700000,
      "customer_receivables": 241300000,
      "fiscal_quarter": 1,
      "fiscal_year": 2026,
      "long_term_debt_obligations": 325000000,
      "long_term_miscellaneous_liabilities": 120200000,
      "miscellaneous_assets": 332100000,
      "miscellaneous_current_assets": 72400000,
      "net_fixed_assets": 512500000,
      "net_intangible_assets": 180100000,
      "ordinary_share_capital": 400000,
      "other_comprehensive_income_accumulated": -37700000,
      "other_stockholder_equity": 0,
      "parent_company_equity": 878000000,
      "payable_to_suppliers": 175800000,
      "reporting_period_end": "2025-08-31",
      "short_term_debt_obligations": 20900000,
      "stock_inventory": 322200000,
      "sum_of_current_assets": 730200000,
      "sum_of_current_liabilities": 631400000,
      "symbols": [
        "SCHL"
      ],
      "timeframe": "quarterly",
      "total_assets": 1954600000,
      "total_equity": 878000000,
      "total_liabilities": 1076600000,
      "total_liabilities_plus_equity": 1954600000,
      "treasury_stock": -616100000
    },
    {
      "accumulated_retained_earnings": -14054000000,
      "acquired_goodwill": 62211000000,
      "advance_customer_payments": 12098000000,
      "cash_and_short_term_equivalents": 10445000000,
      "cik": "0001341439",
      "current_accrued_liabilities": 10494000000,
      "customer_receivables": 8843000000,
      "fiscal_quarter": 1,
      "fiscal_year": 2026,
      "long_term_debt_obligations": 82236000000,
      "long_term_miscellaneous_liabilities": 33673000000,
      "marketable_securities_short_term": 560000000,
      "minority_shareholder_interest": 512000000,
      "miscellaneous_assets": 36243000000,
      "miscellaneous_current_assets": 4786000000,
      "net_fixed_assets": 53194000000,
      "net_intangible_assets": 4167000000,
      "ordinary_share_capital": 39378000000,
      "other_comprehensive_income_accumulated": -1170000000,
      "other_stockholder_equity": 0,
      "parent_company_equity": 24154000000,
      "payable_to_suppliers": 8203000000,
      "reporting_period_end": "2025-08-31",
      "short_term_debt_obligations": 9079000000,
      "sum_of_current_assets": 24634000000,
      "sum_of_current_liabilities": 39874000000,
      "symbols": [
        "ORCL"
      ],
      "timeframe": "quarterly",
      "total_assets": 180449000000,
      "total_equity": 24666000000,
      "total_liabilities": 155783000000,
      "total_liabilities_plus_equity": 180449000000
    }
  ],
  "status": "OK"
}
{
  "next_url": "https://api.finvera.news/stocks/v1/fundamentals/balance-sheet?cursor=AAECAAFkAAEBB_uYng==",
  "request_id": "2946ffbdcbd942dd9d96fac51f4f0b09",
  "results": [
    {
      "accumulated_retained_earnings": 923500000,
      "acquired_goodwill": 199700000,
      "advance_customer_payments": 181000000,
      "capital_paid_in_excess": 607900000,
      "cash_and_short_term_equivalents": 94300000,
      "cik": "0000866729",
      "current_accrued_liabilities": 253700000,
      "customer_receivables": 241300000,
      "fiscal_quarter": 1,
      "fiscal_year": 2026,
      "long_term_debt_obligations": 325000000,
      "long_term_miscellaneous_liabilities": 120200000,
      "miscellaneous_assets": 332100000,
      "miscellaneous_current_assets": 72400000,
      "net_fixed_assets": 512500000,
      "net_intangible_assets": 180100000,
      "ordinary_share_capital": 400000,
      "other_comprehensive_income_accumulated": -37700000,
      "other_stockholder_equity": 0,
      "parent_company_equity": 878000000,
      "payable_to_suppliers": 175800000,
      "reporting_period_end": "2025-08-31",
      "short_term_debt_obligations": 20900000,
      "stock_inventory": 322200000,
      "sum_of_current_assets": 730200000,
      "sum_of_current_liabilities": 631400000,
      "symbols": [
        "SCHL"
      ],
      "timeframe": "quarterly",
      "total_assets": 1954600000,
      "total_equity": 878000000,
      "total_liabilities": 1076600000,
      "total_liabilities_plus_equity": 1954600000,
      "treasury_stock": -616100000
    },
    {
      "accumulated_retained_earnings": -14054000000,
      "acquired_goodwill": 62211000000,
      "advance_customer_payments": 12098000000,
      "cash_and_short_term_equivalents": 10445000000,
      "cik": "0001341439",
      "current_accrued_liabilities": 10494000000,
      "customer_receivables": 8843000000,
      "fiscal_quarter": 1,
      "fiscal_year": 2026,
      "long_term_debt_obligations": 82236000000,
      "long_term_miscellaneous_liabilities": 33673000000,
      "marketable_securities_short_term": 560000000,
      "minority_shareholder_interest": 512000000,
      "miscellaneous_assets": 36243000000,
      "miscellaneous_current_assets": 4786000000,
      "net_fixed_assets": 53194000000,
      "net_intangible_assets": 4167000000,
      "ordinary_share_capital": 39378000000,
      "other_comprehensive_income_accumulated": -1170000000,
      "other_stockholder_equity": 0,
      "parent_company_equity": 24154000000,
      "payable_to_suppliers": 8203000000,
      "reporting_period_end": "2025-08-31",
      "short_term_debt_obligations": 9079000000,
      "sum_of_current_assets": 24634000000,
      "sum_of_current_liabilities": 39874000000,
      "symbols": [
        "ORCL"
      ],
      "timeframe": "quarterly",
      "total_assets": 180449000000,
      "total_equity": 24666000000,
      "total_liabilities": 155783000000,
      "total_liabilities_plus_equity": 180449000000
    }
  ],
  "status": "OK"
}

Authorizations

apikey
string
query
required

API key in query string

Query Parameters

limit
integer
default:100

Max number of results to return per page (1–1000)

Required range: 1 <= x <= 1000
sort
string

Sort by field and direction; format: field[.asc|.desc]. Default asc when direction omitted. Supported fields: period_end, fiscal_year, fiscal_quarter.

Pattern: ^[a-z_]+(\.(asc|desc))?$
cik
string

Central Index Key as a zero-padded string of up to 10 digits

Pattern: ^[0-9]{1,10}$
tickers
string

Comma-separated list of symbols (e.g., AAPL,MSFT)

Pattern: ^[A-Z0-9.,-]{1,200}$
period_end
string<date>

Reporting period end date in yyyy-mm-dd

fiscal_year
integer

Fiscal year (four digits)

Required range: 1900 <= x <= 2100
fiscal_quarter
enum<integer>

Fiscal quarter number

Available options:
1,
2,
3,
4
timeframe
enum<string>

Reporting period type

Available options:
quarterly,
annual,
trailing_twelve_months

Response

Successful response

request_id
string
required
status
enum<string>
required
Available options:
OK
results
object[]
required
next_url
string<uri> | null